> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tool By Id

> Update Tool



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json put /api/v1/tool/{tool_id}
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/tool/{tool_id}:
    put:
      tags:
        - Tool
      summary: Update Tool By Id
      description: Update Tool
      operationId: update_tool_by_id_api_v1_tool__tool_id__put
      parameters:
        - name: tool_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Tool Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IToolUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPutResponseBase_IToolUpdate_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IToolUpdate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        tool_type:
          anyOf:
            - $ref: '#/components/schemas/IToolTypeEnum'
            - type: 'null'
        authentication:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Authentication
        sdk:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Sdk
        base_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Base Url
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        tool_provider:
          anyOf:
            - $ref: '#/components/schemas/IChannelProviderEnum'
            - type: 'null'
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
        attributes:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Attributes
        category:
          anyOf:
            - $ref: '#/components/schemas/IToolCategoryEnum'
            - type: 'null'
      type: object
      title: IToolUpdate
    IPutResponseBase_IToolUpdate_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data updated successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IToolUpdate'
            - type: 'null'
      type: object
      title: IPutResponseBase[IToolUpdate]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IToolTypeEnum:
      type: string
      enum:
        - system
        - user
      title: IToolTypeEnum
    IChannelProviderEnum:
      type: string
      enum:
        - leadconnector
        - hubspot
        - google_calendar
        - zoho
        - freshdesk
        - insighto
        - modmed
        - twilio
        - custom
        - fb_messenger
        - instagram
        - paypal
        - postgres
        - plivo
        - telnyx
        - telegram
      title: IChannelProviderEnum
    IToolCategoryEnum:
      type: string
      enum:
        - Calendar
        - CRM
        - EHR
        - Support
        - Communication
        - System
        - HRMS
        - Social
        - Others
        - Payment
        - Database
        - MCP
      title: IToolCategoryEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````